﻿using assignment1.DTO;
using assignment2.Models;

namespace assignment1.Interfaces
{
    public interface ISharedExperienceService
    {
        Task<IEnumerable<SharedExperienceView>> GetAll();
        Task<IEnumerable<ExperienceView>> GetExperiences(int id);
        Task<IEnumerable<GuestView>> GetGuests(int id);
        Task<IEnumerable<GuestView>> GetGuestsInExperience(int id, int experienceId);
    }
}
