using assignment2.Models;

public interface IExperienceService
{
    Task<IEnumerable<ExperienceView>> GetExperiences();
    Task<ExperienceView> GetExperience(string name);
    Task<Statistics> GetStatistics();
    Task<IEnumerable<ExperienceSalesView>> GetSales();
}

public interface IProviderService
{
    Task<IEnumerable<ProviderView>> GetProviders();
    
}


public interface IGuestService{
    
    Task<IEnumerable<Guest>> GetGuests();
    Task<Guest> GetGuest(string name);
}